const uint8_t left_motor_pin = 6,
              right_motor_pin = 10;

const uint8_t left_sensor_pin = A6,
              right_sensor_pin = A11;

bool left_sensor_flag = false,
     right_sensor_flag = false;

uint16_t IR_threshold_max = 773,
         IR_threshold_min = 10;

uint16_t left_sensor = 0,
         right_sensor = 0;

uint8_t left_motor_pwm = 0,
        right_motor_pwm = 0;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(230400);
  delay(5);

  pinMode(left_motor_pin, OUTPUT);
  pinMode(right_motor_pin, OUTPUT);

  pinMode(4, INPUT);
  pinMode(12, INPUT);

  digitalWrite(4, LOW);
  digitalWrite(12, LOW);
  delay(50);

}

void loop() {
  // put your main code here, to run repeatedly:
  left_sensor = analogRead(left_sensor_pin);
  right_sensor = analogRead(right_sensor_pin);

  
  if((left_sensor > IR_threshold_max) || (right_sensor > IR_threshold_max))
  {
    left_sensor_flag = true;
    right_sensor_flag = true;

    left_motor_pwm = (uint8_t)map_float(right_sensor, 0, 1023, 0, 160);
    right_motor_pwm = (uint8_t)map_float(left_sensor, 0, 1023, 0, 160);
  }




  if((left_sensor <= IR_threshold_max) && (left_sensor > IR_threshold_min))
    {
      left_sensor_flag = true;
      right_motor_pwm = 110;
    }



  if((right_sensor <= IR_threshold_max) && (right_sensor > IR_threshold_min))
    {
      right_sensor_flag = true;
      left_motor_pwm = 110;
    }




  
}
